<?php
/**********************************************************************************
* Rules.php                                                                       *
***********************************************************************************
*                                                                                 *
* Execution file for "The Rules" modification.                                    *
*                                                                                 *
* Copyright (c) 2008 by Deprecated (at) Earthlink (dot) net. All rights reserved. *
* Redistribution prohibited except at SimpleMachines.org                          *
*                                                                                 *
**********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function Rules()
{
	global $context, $settings, $options, $scripturl, $boarddir, $sourcedir, $modSettings, $user_info, $txt;

	if($user_info['is_guest'] && empty($modSettings['rules_enable_guest_access'])) redirectexit();

	$context['all_pages']['rules'] = 'rules';
	if (!empty($modSettings['the_rules_enable_agreement'])) $context['all_pages']['agreement'] = 'agreement';
	if (!empty($modSettings['the_rules_enable_additional']))  $context['all_pages']['additional'] = 'additional';

	$context['sub_action'] = isset($_REQUEST['sa']) ? $_REQUEST['sa'] : '';
	$context['current_page'] = $context['sub_action'] ? $context['sub_action'] : 'rules';

	switch ($context['current_page'])
	{
	case 'agreement':
		$link_name = !empty($modSettings['the_rules_agreement_display_name']) ? $modSettings['the_rules_agreement_display_name'] : $txt['agreement'];
		$link_url = $scripturl . '?action=rules;sa=agreement';
		$context['page_contents'] = file_exists($boarddir . '/agreement.txt') ? parse_bbc(file_get_contents($boarddir . '/agreement.txt')) : $txt['the_rules_not_configured'];
		break;

	case 'additional':
		$link_name = !empty($modSettings['the_rules_additional_display_name']) ? $modSettings['the_rules_additional_display_name'] : $txt['additional'];
		$link_url = $scripturl . '?action=rules;sa=additional';
		$context['page_contents'] = !empty($modSettings['the_rules_additional_text']) ? parse_bbc($modSettings['the_rules_additional_text']) : $txt['the_rules_not_configured'];
		break;

	default:
		$link_name = !empty($modSettings['the_rules_display_name']) ? $modSettings['the_rules_display_name'] : $txt['rules'];
		$link_url = $scripturl . '?action=rules';
		$context['page_contents'] = !empty($modSettings['the_rules_text']) ? parse_bbc($modSettings['the_rules_text']) : $txt['the_rules_not_configured'];
	}

	$context['linktree'][] = array(
		'url' => $scripturl . '?action=rules',
		'name' => !empty($modSettings['rules_tab_label']) ? $modSettings['rules_tab_label'] : $txt['rules'],
		);

	if (!empty($modSettings['the_rules_enable_agreement']) || !empty($modSettings['the_rules_enable_additional']))
		$context['linktree'][] = array(
			'url' => $link_url,
			'name' => $link_name
		);

	$context['page_title'] = $link_name;

	$menu_items = array();
	foreach ($context['all_pages'] as $active_page => $this_page)
	{
		$name_ptr = 'the_rules_' . (($this_page == 'rules') ? '' : $this_page . '_') . 'display_name';
		$display_name = !empty($modSettings[$name_ptr]) ? $modSettings[$name_ptr] : $txt['rules_title_' . $this_page];

		if ($active_page == $context['current_page'])
		{
			$menu_items[] = '<span class="error" style="font-weight: bold;">' . $display_name . '</span>';
		}
		else
		{
			$action = ($this_page == 'rules') ? '?action=rules' : '?action=rules;sa=' . $this_page;
			$menu_items[] = '<a href="' . $scripturl . $action . '">' . $display_name . '</a>';
		}
	}
	$context['the_rules_menu'] = implode(' &bull; ', $menu_items);

	loadTemplate('Rules');
}
	
?>